/**
 * me.template
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */

me.template = {
    selectedText : null,
    scrollTop : 0,
    selectedFrom : null,
    selectedTo : null,
    query: null,
    open : function(type)
    {
        var self = this;
        self.selectedFrom = null;
        self.selectedTo = null;
        self.scrollTop = $('#source_code').attr('scrollTop');

        var selectedText = me.codeMirror.getSelection();
        if (selectedText) {
            self.selectedFrom = me.codeMirror.getCursor('from');
            self.selectedTo = me.codeMirror.getCursor('to');
            me.codeMirror.setOption('readOnly', 'nocursor');
        }

        $.ajax({
            type: 'POST',
            url: '../Metag/open?cls=on',
            data: ({
                'type' : type,
                'selected_text' : selectedText,
                '_form_id' : $('#_form_id').val(),
                '_token' : $('#_token').val()
            }),
            success: function(html){
                me.template.close(true);
                var offset = $('#setting_table').offset();
                $(html).appendTo('body').draggable({
                    'handle' : '.popover-title'
                });
                $('.tag_editor').css({
                    top: offset.top + 'px',
                    left: offset.left + 'px',
                    position:'absolute'
                });
            },
            error: function(XHR, textStatus, errorThrown){
                me.error.ajaxError(XHR, textStatus, errorThrown);
            }
        });
    },
    confirm : function()
    {
        $.ajax({
            type: 'POST',
            url: '../Metag/confirm',
            data: $('#tag_editor_form').serialize(),
            success: function(html){
                me.template.close(true);
                var offset = $('#setting_table').offset();
                $(html).appendTo('body').draggable();
                $('.tag_editor').css({
                    top: offset.top + 'px',
                    left: offset.left + 'px',
                    position:'absolute'
                });
                if (me.template.selectedFrom == null) {
                    $('#reflect_button').hide();
                }
            },
            error: function(XHR, textStatus, errorThrown){
                me.error.ajaxError(XHR, textStatus, errorThrown);
            }
        });
    },
    back : function()
    {
        me.template.close(true);
        $.ajax({
            type: 'POST',
            url: '../Metag/open',
            data: ({
                '_form_id' : $('#_form_id').val(),
                '_token' : $('#_token').val()
            }),
            success: function(html){
                var offset = $('#setting_table').offset();
                $(html).appendTo('body').draggable();
                $('.tag_editor').css({
                    top: offset.top + 'px',
                    left: offset.left + 'px',
                    position:'absolute'
                });
            },
            error: function(XHR, textStatus, errorThrown){
                me.error.ajaxError(XHR, textStatus, errorThrown);
            }
        });
    },
    reflect : function()
    {
        var self = this;
        if (me.template.selectedFrom == null) {
            return;
        }
        me.codeMirror.replaceRange($('#close_tag').val(), self.selectedTo);
        me.codeMirror.replaceRange($('#open_tag').val(), self.selectedFrom);

        // for IE
        setTimeout(function(){
            $('#source_code').attr('scrollTop', me.template.scrollTop);
        }, 1);
        me.template.close();
    },
    close : function(blink)
    {
        $('.tag_editor').remove();
        if (! blink) {
            me.codeMirror.setOption('readOnly', false);
        }
    },
    submit : function()
    {
        $('#template_form').trigger('submit');
    },
    search : function(thisObj, event)
    {
        var self = this;
        var query, presetQuery;
        var $this = $(thisObj);
        var prev = ($this.data('search') == 'prev');

        presetQuery = $this.data('query');
        if (presetQuery) {
            query = presetQuery;
            $('#query').val(query);
        } else {
            query = $('#query').val();
        }
        if (query != self.query) {
            self.query = query;
            var count = me.codeMirror.setQuery(me.codeMirror, query);
            self.updateSearchResult(count);
        }
        if (event.shiftKey && prev) {
            prev = false;
        } else if (event.shiftKey) {
            prev = true;
        }
        if (prev) {
            me.codeMirror.execCommand('findPrev');
            $('#search_prev').focus();
        } else {
            me.codeMirror.execCommand('findNext');
            $('#search_next').focus();
        }
    },
    queryKeydown: function(thisObj, event)
    {
        var self = this;

        if (event.keyCode == 13) {
            self.search(thisObj, event);
            return false;
        }
        return true;
    },
    clearSearch : function()
    {
        var self = this;
        me.codeMirror.execCommand('clearSearch');
        $('#query').val('').focus();
        self.query = null;
        self.updateSearchResult('');
        return false;
    },
    selectSourceCode : function()
    {
        $('#code_editor, .tag_handle').show();
        $('#preview_iframe').hide();
        me.resize.resizeBox('source_code', 0, 30, true);
    },
    selectPreview : function()
    {
        me.codeMirror.save();
        $('#code_editor, .tag_handle').hide();
        $('#preview_iframe').show();

        $.ajax({
            type: 'POST',
            url: '../Template/preview',
            data: ({
                'source_code' : $('#source_code').val(),
                '_form_id' : $('#_form_id').val(),
                '_token' : $('#_token').val()
            }),
            success: function(html){
                var iframeDoc = $('#preview_iframe')[0].contentWindow.document;
                iframeDoc.open();
                iframeDoc.write(html);
                iframeDoc.close();
            },
            error: function(XHR, textStatus, errorThrown){
                me.error.ajaxError(XHR, textStatus, errorThrown);
            }
        });
    },
    onloadIframe : function()
    {
        var self = this;
        var iframeDoc = $('#preview_iframe')[0].contentWindow.document;
        var $target, searchWord, count = 0;
        var trimRegex = new RegExp(/^[\s\b]+|[\s\b]+$/g);

        $(iframeDoc.body).append('<style>* {cursor:pointer;}</style>');

        $(iframeDoc.body).find('*').bind("click", function(event){
            $('#source_code_tab').trigger('click');
            $target = $(this);

            // nodeValue
            if (event.originalEvent.explicitOriginalTarget) {
                searchWord = $(event.originalEvent.explicitOriginalTarget).nodeValue;
                count = me.codeMirror.setQuery(me.codeMirror, searchWord);
            }

            // innerHTML
            if (count == 0) {
                searchWord = $target.html();
                count = me.codeMirror.setQuery(me.codeMirror, searchWord);
            }

            // outerHTML
            if (count == 0) {
                searchWord = $target.prop('outerHTML');
                searchWord = searchWord.replace(/ /g, '( )*');
                searchWord = '/' + searchWord.replace('>', '( |/)*>') + '/';
                count = me.codeMirror.setQuery(me.codeMirror, searchWord);
            }

            // text
            if (count == 0) {
                searchWord = $target.text();
                count = me.codeMirror.setQuery(me.codeMirror, searchWord);
            }

            // attr
            if (count == 0) {
                $.each(['id', 'src'], function(index, val) {
                    searchWord = $target.attr(val);
                    if (searchWord) {
                        searchWord = '/["\']' + searchWord + '["\']/';
                        count = me.codeMirror.setQuery(me.codeMirror, searchWord);
                        if (count != 0) {
                            return false;
                        }
                    }
                });
            }

            // each text
            if (count == 0) {
                $target.contents().each(function() {
                    searchWord = $(this).text();
                    searchWord = searchWord.replace(trimRegex, '');
                    count = me.codeMirror.setQuery(me.codeMirror, searchWord);
                    if (count != 0) {
                        return false;
                    }
                });
            }

            me.codeMirror.execCommand('findNext');

            // 一旦input要素にセットして、その値を変数に保持する。
            $('#query').val(searchWord);
            self.query = $('#query').val();

            self.updateSearchResult(count);
            $('#query').focus();

            return false;
        });
        // Mac Safariの挙動対策でiframeの大きさを一旦変更する
        me.resize.resizeBox('preview_iframe', 1);
        me.resize.resizeBox('preview_iframe');
    },
    updateSearchResult : function(count)
    {
        var text = '';
        if (count === 0) {
            text = 'No matches';
        } else if (count === 1) {
            text = 'One match';
        } else if (count > 1) {
            text = count + ' matches';
        }
        $('#search_result').html(text);
    },
    openSetting : function()
    {
        $('.template_setting,#close_template_setting').show();
        $('#open_template_setting').hide();
        me.resize.resizeCodeMirror();
        me.resize.resizeBox('preview_iframe');
        me.template.changeTemplateType();
    },
    closeSetting : function()
    {
        $('.template_setting,#close_template_setting').hide();
        $('#open_template_setting').show();
        me.resize.resizeCodeMirror();
        me.resize.resizeBox('preview_iframe');
    },
    deleteTemplate : function()
    {
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: '../Template/post_delete',
            data: ({
                'template_id' : $('#template_id').val(),
                '_token' : $('#_token').val()
            }),
            success: function(json){
                if (json.result) {
                    $('#back_link').trigger('click');
                } else {
                    alert(json.message);
                }
            },
            error: function(XHR, textStatus, errorThrown){
                me.error.ajaxError(XHR, textStatus, errorThrown);
            }
        });
    },
    changeTemplateType : function()
    {
        $('.sub_template_setting, .pagination_template_setting, .archive_template_setting').hide();

        if ($('#template_type_sub').attr('checked')) {
            if ($('#close_template_setting').is(':visible')) {
                $('.sub_template_setting').show();
            }
        } else if ($('#template_type_pagination').attr('checked')) {
            if ($('#close_template_setting').is(':visible')) {
                $('.pagination_template_setting').show();
            }
        } else if ($('#template_type_archive').attr('checked')) {
            if ($('#close_template_setting').is(':visible')) {
                $('.archive_template_setting').show();
            }
        }
        me.resize.resizeCodeMirror();
        me.resize.resizeBox('preview_iframe');
    }
};