<?php
/**
 * License Dao
 * @package     License
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class License_Dao extends Me_Dao
{
    /**
     * テーブル名
     * @var string
     */
    public $table_name = 'license';
    /**
     * Entityクラス名
     * @var stirng
     */
    public $class_name = 'License';
    /**
     * カラム定義配列
     * @var array
     */
    public $column_list = array(
        '_id',
        'license_id',
        'license_key',
        'license_type',
        'create_date',
        'update_date',
    );

    /**
     * コンストラクタ
     */
    public function __construct()
    {

    }

    /**
     * ライセンスキーを削除してオブジェクトを返す。
     * @param string $_id _idフィールド値
     * @param string $class_name クラス名
     * @return object $obj
     */
    public function select($_id, $class_name = 'License_Form')
    {
        $obj = parent::select($_id, $class_name, true);
        if ($obj !== false) {
            $obj->license_key = null;
        } else {
            $obj = new $class_name;
        }
        return $obj;
    }

    /**
     * ライセンスキーも含めてオブジェクトを返す。
     * @param string $_id _idフィールド値
     * @param string $class_name クラス名
     * @return object $obj
     */
    public function select_license_key($_id, $class_name = 'License')
    {
        $obj = parent::select($_id, $class_name, true);
        if ($obj !== false) {
            $obj->license_key = base64_decode($obj->license_key);
        } else {
            $obj = new $class_name;
        }
        return $obj;
    }
    
    /**
     * INSERT
     * @param object $obj
     * @param array $target_column 処理対象カラム
     * @return boolean
     */
    public function insert($obj, $target_column = array())
    {
        $obj->license_key = base64_encode($obj->license_key);
        return parent::insert($obj, $target_column);
    }

    /**
     * UPDATE
     * @param object $obj
     * @param array $target_column 処理対象カラム
     * @return boolean
     */
    public function update($obj, $target_column = array())
    {
        $obj->license_key = base64_encode($obj->license_key);
        return parent::update($obj, $target_column);
    }

}