<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>エラー番号 : <?php h::p($code) ?> - MicroEngine CMS</title>
</head>
<body onload="me.error.htmlError();">
<?php h::render('/Common/header_simple.php') ?>
<div class="main container">

<h1>エラーが発生しました。</h1>
<p>
<span class="label label-important"><i class="icon-exclamation-sign icon-white"></i></span>
エラー番号 : <?php h::p($code) ?>
</p>
<div id="message" class="alert alert-error"><?php h::no_escape($message); ?></div>

<?php if (!empty($trace)): ?>
<button type="button" id="detail_show" class="btn" onclick="$('#error_detail,#detail_hide').show();$(this).hide();">詳細を表示</button>
<button type="button" id="detail_hide" class="btn hide" onclick="$('#error_detail,#detail_hide').hide();$('#detail_show').show();">詳細を隠す</button>
<div id="error_detail" class="hide">
<hr>

<ul>
<li>URI：<br>
<?php h::p($_SERVER['REQUEST_URI']); ?></li>
<li>ユーザーエージェント：<br>
<?php h::p($_SERVER['HTTP_USER_AGENT']); ?></li>
<li>MicroEngine CMS バージョン：<br>
<?php h::p(ME_VERSION); ?></li>
<li>PHP バージョン：<br>
<?php h::p(PHP_VERSION); ?></li>
<li>トレース情報：<br>
<pre>
<?php h::dump($trace);?>
</pre>
</li>
</ul>

</div>
<?php endif; ?>
<hr>
<p>ブラウザの「<strong>戻る</strong>」ボタンを押してください。</p>

</div>

<?php h::render('/Common/footer.php');?>
</body>
</html>