<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>画像詳細 - MicroEngine CMS</title>
<script src="../../app/assets/js/me.content.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    $('#nav_home').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user', '_flash'), array('help_page'=>'content_image_info.html'));?>
<div class="main container">
<ul class="breadcrumb">
<li>
<a href="../Main/index">ホーム</a> <span class="divider">/</span>
</li>
<li><a href="../Page/info?path=<?php h::p($image->page_path) ?>">ページ情報</a> <span class="divider">/</span></li>
<li><a href="../Content/image_list?path=<?php h::p($image->page_path) ?>&p=<?php h::p($position) ?>">画像管理</a> <span class="divider">/</span></li>
<li class="active">画像詳細</li>
</ul>

<h4>画像詳細</h4>
<table class="table">
<tbody>
<tr>
<th class="span2">ファイル名</th>
<td><?php h::p($image->file_name) ?></td>
</tr>
<tr>
<th class="span2">登録ページ名</th>
<td><?php h::p($image->page_path) ?></td>
</tr>
<tr>
<th class="span2">作成日時</th>
<td><?php h::date_time($image->create_date) ?></td>
</tr>
<tr>
<th class="span2">作成者</th>
<td><?php h::p($image->user_name) ?></td>
</tr>
<tr>
<th class="span2">操作</th>
<td>
<a href="#modal_delete" role="button" class="btn btn-small btn-danger" data-toggle="modal">画像削除</a>
<div class="modal hide fade" id="modal_delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
<h3 id="myModalLabel">画像削除確認</h3>
</div>
<div class="modal-body">
<p>画像を削除しますか？</p>
</div>
<div class="modal-footer">
<button class="btn" data-dismiss="modal" aria-hidden="true">キャンセル</button>
<button class="btn btn-danger" onclick="me.content.deleteImage();return false;">削除する</button>
</div>
</div>
</td>
</tr>
</tbody>
</table>

<ul class="thumbnails">
<?php foreach($image_files as $image_path): ?>
<li><img src="<?php h::p($image_path) ?>" title="<?php h::p($image_path) ?>"></li>
<?php endforeach; ?>
</ul>

<div>
<input type="button" id="back_link" class="btn btn-small" value="戻る" onclick="location.href='../Content/image_list?path=<?php h::p($path) ?>&p=<?php h::p($position) ?>';return false;">
</div>
</div>
<form>
<input type="hidden" id="ii" name="ii" value="<?php h::p($image->_id) ?>">
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>

<?php h::render('/Common/footer.php');?>
</body>
</html>