<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>環境確認 - MicroEngine CMS インストーラー</title>
<link href="../../app/assets/css/me_install.css?v=<?php h::p(SCRIPT_VERSION) ?>" rel="stylesheet">
<script src="../../app/assets/js/me.install.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    me.install.checkDataAccess();
    $('#navi_env_check').addClass('badge-important');
});
//-->
</script>
<meta name="robots" content="noindex,nofollow,noarchive">
</head>
<body>
<?php h::render('/Common/header_simple.php') ?>

<div class="main container">
<?php h::render('/Install/install_navi.php') ?>
<hr>
<h4>書き込み権限確認</h4>
<p>以下のファイルは、Webサーバーの実行ユーザーに書き込み権限が与えられている必要があります。</p>
<div class="env_check_result">
<?php foreach ($check_files as $key => $val): ?>
<?php     if ($val): ?>
<p><span class="badge badge-success"><i class="icon-ok icon-white"></i></span>
権限有り：<?php h::p($key) ?></p>
<?php     else: ?>
<p><span class="badge badge-important"><i class="icon-exclamation-sign icon-white"></i></span>
権限なし：<?php h::p($key) ?><br>
Webサーバーの実行ユーザーに書き込み権限を与えてください。</p>
<?php     endif; ?>
<?php endforeach; ?>
</div>
<hr>

<h4>data ディレクトリ配下に外部からのアクセスをブロックできているか？</h4>
<div class="env_check_result">
<div id="check_access_app_checking">確認中...</div>
<div id="check_access_app_protected" class="hide">
<span class="badge badge-success"><i class="icon-ok icon-white"></i></span> ブロックできている<br>
アクセス確認ファイル：<a href="../../data/db/index.html" target="_blank">../../data/db/index.html</a>へのアクセスをブロックできていることを確認しました。
</div>
<div id="check_access_app_accessible" class="hide">
<span class="badge badge-important"><i class="icon-exclamation-sign icon-white"></i></span> ブロックできていない<br>
data ディレクトリ配下に外部からアクセスできます。<br>
アクセス確認ファイル：<a href="../../data/db/index.html" target="_blank">../../data/db/index.html</a>へアクセスできることを確認しました。
data ディレクトリを Document Root 配下ではない場所に移動するか、サーバーの設定を見直して、data ディレクトリ配下にアクセスできないようにしてください。
</div>
</div>
<hr>

<h4>必要なモジュールが有効かどうか？</h4>
<div class="env_check_result">
<?php foreach ($module_loaded as $module_name => $result): ?>
<div>
<?php if($result): ?>
<p><span class="badge badge-success"><i class="icon-ok icon-white"></i></span> <?php h::p($module_name) ?>：有効</p>
<?php else: ?>
<p><span class="badge badge-important"><i class="icon-exclamation-sign icon-white"></i></span> <?php h::p($module_name) ?>：無効<br>
サーバー設定を見直すか必要なモジュールをインストールして、<?php h::p($module_name) ?> を有効にしてください。</p>
<?php endif; ?>
</div>
<?php endforeach; ?>
</div>
<hr>

<p>もし、<span class="badge badge-important"><i class="icon-exclamation-sign icon-white"></i></span>マークが表示された場合は、対策を実施してください。</p>
<p>対策後に、このページをリロードして、<span class="badge badge-important"><i class="icon-exclamation-sign icon-white"></i></span>マークが表示されないことを確認してから次に進んでください。</p>

<hr>
<a class="btn" href="../Install/index">戻る</a>
<a class="btn btn-primary" href="../Install/system_setting">次へ</a>
</div>

<?php h::render('/Common/footer.php') ?>
</body>
</html>