<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>ファイル同期 - MicroEngine CMS</title>
<script>
<!--
$(document).ready(function(){
    $('#nav_system').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user', '_flash'), array('help_page'=>'page_sync_file.html'));?>
<div class="main container">
<ul class="breadcrumb">
<li><a href="../Main/index">ホーム</a> <span class="divider">/</span></li>
<li><a href="../System/index">システム</a> <span class="divider">/</span></li>
<li class="active">ファイル同期</li>
</ul>

<?php if (empty($file_list) && empty($delete_list)): ?>
<div class="alert alert-block alert-info">システムとファイルは同期されています。</div>
<?php else: ?>
<div class="alert alert-block alert-info">システムとファイルを同期します。<br>
※システム（DB）の状態をファイルシステム上の実際のファイルに合わせます。</div>
<?php endif; ?>

<?php if (!empty($file_list)): ?>
<div>以下のファイルをシステム(DB)に登録します。</div>
<table class="table table-striped">
<tbody>
<tr>
<th>登録ファイル</th>
</tr>
<?php foreach($file_list as $file): ?>
<tr>
<td><a href="../Main/index?path=<?php h::p($file->page_path) ?>"><?php h::p(SITE_PATH . $file->page_path)?></a></td>
</tr>
<?php endforeach; ?>
</table>
<?php endif; ?>

<?php if (!empty($delete_list)): ?>
<div>以下のファイルをシステム(DB)から除外します。</div>
<table class="table table-striped">
<tr>
<th>除外ファイル</th>
</tr>
<?php foreach($delete_list as $file): ?>
<tr>
<td><a href="../Main/index?path=<?php h::p($file->page_path) ?>"><?php h::p(SITE_PATH . $file->page_path)?></a></td>
</tr>
<?php endforeach; ?>
</tbody>
</table>
<?php endif; ?>

<form method="post" action="../Page/post_sync_file">
<?php if (!empty($file_list) || !empty($delete_list)): ?>
<a href="../System/index" class="btn">キャンセル</a>
<input type="submit" class="btn btn-primary" value="同期実行">
<?php else: ?>
<a href="../System/index" class="btn btn-small">戻る</a>
<?php endif; ?>
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>
</div>

<?php h::render('/Common/footer.php');?>
</body>
</html>