<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>ユーザー管理 - MicroEngine CMS</title>
<script>
<!--
$(document).ready(function(){
    $('#nav_system').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user', '_flash'), array('help_page'=>'user_index.html')) ?>
<div class="main container">
<ul class="breadcrumb">
<li><a href="../Main/index">ホーム</a> <span class="divider">/</span></li>
<li><a href="../System/index">システム</a> <span class="divider">/</span></li>
<li class="active">ユーザー管理</li>
</ul>

<div>
<a class="btn btn-small" href="../User/edit">新規作成</a>
</div>

<table class="table table-striped">
<tbody>
<tr>
<th>ユーザー名</th>
<th>表示名</th>
<th>操作</th>
<th>ロール</th>
<th>備考</th>
</tr>
<?php foreach($user_list as $row): ?>
<tr>
<td><?php h::p($row['user_name']) ?></td>
<td><?php h::p($row['display_name']); ?></td>
<td>
<a class="btn btn-small" href="../User/edit?ui=<?php h::p($row["_id"]); ?>">編集</a>
<?php if ($login_user->_id !== $row['_id']): ?>
<a class="btn btn-small" href="../User/delete?ui=<?php h::p($row["_id"]) ?>">削除</a>
<?php endif; ?>
<?php if ($row['lockout']): ?>
<button type="button" class="btn btn-small btn-warning" onclick="$('#ui').val('<?php h::p($row["_id"]) ?>');$('#unlock_form')[0].submit();">ロックアウトを解除</a>
<?php endif; ?>
</td>
<td><?php h::p(User_Role::get_role_name($row['user_role'])) ?></td>
<td class="small"><?php h::p($row['note']) ?></td>
</tr>
<?php endforeach ?>
</tbody>
</table>
<a href="../System/index" class="btn btn-small">戻る</a>
</div>

<form method="POST" id="unlock_form" action="../User/post_unlock?ui=<?php h::p($row["_id"]) ?>">
<input type="hidden" id="ui" name="ui" value="">
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>

<?php h::render('/Common/footer.php') ?>
</body>
</html>